Version française
Home     About     Download     Resources     Contact us    
Browse thread
Problem with cairo
[ Home ] [ Index: by date | by threads ]
[ Search: ]

[ Message by date: previous | next ] [ Message in thread: previous | next ] [ Thread: previous | next ]
Date: -- (:)
From: Angela Zhu <angela22.zhu@g...>
Subject: Problem with cairo
Hello,

I want to install lablgtk, and when I was doing "./configure" (for lablgtk),
I got
following attached error msg (1).

So I try to download cairo and comple it, but after "cd cairo-1.4.14",
when I was doing "./configure" (for cairo), I got following attached msg
(2).

And then a funny thing is that I actually should have cairo installed on my
machine
using "MacPorts", according to attached commands and msg (3).

Anyone can help me to see what are is the problem here?
Many thanks in advance!

------------------------------------------
(1) ./configure for lablgtk
------------------------------------------
checking pkg-config is at least version 0.9.0... yes
checking for BASE_DEPENDENCIES... configure: error: Package requirements (
glib-2.0 >= 2.13.5    atk >= 1.9.0    pango >= 1.17.3    cairo >= 1.2.0)
were not met:

No package 'cairo' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables
BASE_DEPENDENCIES_CFLAGS
and BASE_DEPENDENCIES_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
------------------------------------------


------------------------------------------
(2)  ./configure for cairo
------------------------------------------
checking whether cairo's Microsoft Windows font backend could be enabled...
no (requires a Win32 platform)
checking for cairo's PNG backend...
configure: WARNING: Could not find libpng in the pkg-config search path
checking whether cairo's PNG backend could be enabled... no
configure: error: requested PNG backend could not be enabled
------------------------------------------



------------------------------------------
(3)  MacPorts show cairo is there
------------------------------------------
$ sudo port installed cairo
The following ports are currently installed:
  cairo @1.4.10_0
  cairo @1.4.14_0 (active)

$ sudo port uninstall cairo @1.4.10_0
--->  Unable to uninstall cairo 1.4.10_0, the following ports depend on it:
--->    pango
--->    pango
--->    gtk2
Error: port uninstall failed: Please uninstall the ports that depend on
cairo first.


$ sudo port uninstall cairo @1.4.14_0
--->  Unable to uninstall cairo 1.4.14_0, the following ports depend on it:
--->    pango
--->    pango
--->    gtk2
Error: port uninstall failed: Please uninstall the ports that depend on
cairo first.
------------------------------------------



Anything can I do to keep on installing lablgtk without problems from cairo?

Thanks and Regards,


-- 
Regards,
Angela Zhu
------------------------------------------
Dept. of CS, Rice University
http://www.cs.rice.edu/~yz2/
------------------------------------------